Skip to main content
POST
Refund all instruments in a transaction
This endpoint requires the transactions.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

The ID for the transaction to get the information for.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Body

application/json

A request to fully refund a transaction.

reason
string | null

The reason to refund for. This can be used to attach a written reason to the refund request.

Maximum string length: 100
Example:

"Refund due to user request"

external_identifier
string | null

An external identifier that can be used to match the refund against your own records.

Required string length: 1 - 300
Example:

"refund-789123"

Response

Returns the created refunds. Not all refunds may have succeeded.

A list of refunds.

items
Refund · object[]

A list of refunds.

limit
integer<int32>
default:20

The limit applied to request. This represents the number of items that are at maximum returned by this request.

Required range: 1 <= x <= 100
Example:

1

next_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

null